; ===========================
; Channelf
; ===========================

; all keys can be overridden for a particular board using key.<boardtag>
; example:
;   priority = 0
;   priority.rpi4 = 3
; Complete sections may be overridden. In such cases, all key from the global section are ignored,
; you must redefine them all
; example
; [core.0]
; [core.0.rpi4]
; Board tags are defined by BR2_PACKAGE_RECALBOX_TARGET_<tag>

[system]
uuid = "dfa4bf61-1fb5-4e5a-a036-7400ee385f3a"
name = "channelf"
fullname = "Fairchild Channel F"
theme.folder = "channelf"
roms.folder = "%ROOT%/channelf"
screenscraper.id = 80
doc.link.fr = "https://wiki.recalbox.com/fr/emulators/consoles/channelf"
doc.link.en = "https://wiki.recalbox.com/en/emulators/consoles/channelf"
port = 0
readonly = 0
icon.unicode = $F2a0

[properties]
type = console
device.pad = mandatory
device.keyboard = no
device.mouse = no
device.lightgun = no
release.date = "1976-11"
manufacturer = "Fairchild"
retroachievements = 0
crt.multiresolution = 0
crt.multiregion = 0

[core.0]
package = BR2_PACKAGE_LIBRETRO_FREECHAF
priority = 1
emulator = "libretro"
core = "freechaf"
extensions = ".bin .rom .chf .zip .7z"
netplay = 0
softpatching = 0
compatibility = high
speed = high
crt.available = 1

[core.1]
package = BR2_PACKAGE_LIBRETRO_FBNEO
priority = 2
emulator = "libretro"
core = "fbneo"
extensions = ".zip .7z"
netplay = 1
softpatching = 0
compatibility = high
speed = high
crt.available = 1
